Bug 1311140 - EAP7 - missing rt filter modules for eap7
EAP7 - missing rt filter modules for eap7
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7, Core Server (Show other bugs)
JON 3.3.5
Unspecified Unspecified
high Severity high
: DR01
: JON 3.3.6
Assigned To: Thomas Segismont
Filip Brychta
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 08:28 EST by Filip Brychta
Modified: 2016-07-27 11:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:33:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2016-02-23 08:28:24 EST
Description of problem:
It's not possible to use rhq-rtfilter-subsystem-module.zip and rhq-rtfilter-module.zip for EAP7. 

Version-Release number of selected component (if applicable):
JON3.3.5 with eap plugin pack update03-DR01

How reproducible:
Always

Steps to Reproduce:
1. follow https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html/Users_Guide/jboss-rt-seven.html to set rt filter for EAP7


Actual results:
It fails:
[31m08:18:51,256 ERROR [org.jboss.as.controller.management-operation] (Controller Boot Thread) WFLYCTL0013: Operation ("parallel-extension-add") failed - address: ([]): java.lang.RuntimeException: WFLYCTL0079: Failed initializing module org.rhq.helpers.rhq-rtfilter-subsystem
        at org.jboss.as.controller.extension.ParallelExtensionAddHandler$1.execute(ParallelExtensionAddHandler.java:115)
        at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:890)
        at org.jboss.as.controller.AbstractOperationContext.processStages(AbstractOperationContext.java:659)
        at org.jboss.as.controller.AbstractOperationContext.executeOperation(AbstractOperationContext.java:370)
        at org.jboss.as.controller.OperationContextImpl.executeOperation(OperationContextImpl.java:1344)
        at org.jboss.as.controller.ModelControllerImpl.boot(ModelControllerImpl.java:459)
        at org.jboss.as.controller.AbstractControllerService.boot(AbstractControllerService.java:387)
        at org.jboss.as.controller.AbstractControllerService.boot(AbstractControllerService.java:349)
        at org.jboss.as.server.ServerService.boot(ServerService.java:392)
        at org.jboss.as.server.ServerService.boot(ServerService.java:365)
        at org.jboss.as.controller.AbstractControllerService$1.run(AbstractControllerService.java:299)
        at java.lang.Thread.run(Thread.java:745)
Caused by: java.util.concurrent.ExecutionException: java.lang.NoSuchMethodError: org.jboss.as.controller.registry.ManagementResourceRegistration.registerOperationHandler(Ljava/lang/String;Lorg/jboss/as/controller/OperationStepHandler;Lorg/jboss/as/controller/descriptions/DescriptionProvider;ZLorg/jboss/as/controller/registry/OperationEntry$EntryType;)V
        at java.util.concurrent.FutureTask.report(FutureTask.java:122)
        at java.util.concurrent.FutureTask.get(FutureTask.java:192)
        at org.jboss.as.controller.extension.ParallelExtensionAddHandler$1.execute(ParallelExtensionAddHandler.java:107)
        ... 11 more
Caused by: java.lang.NoSuchMethodError: org.jboss.as.controller.registry.ManagementResourceRegistration.registerOperationHandler(Ljava/lang/String;Lorg/jboss/as/controller/OperationStepHandler;Lorg/jboss/as/controller/descriptions/DescriptionProvider;ZLorg/jboss/as/controller/registry/OperationEntry$EntryType;)V
        at org.rhq.helpers.rtfilter.subsystem.RtFilterExtension.initialize(RtFilterExtension.java:94)
        at org.jboss.as.controller.extension.ExtensionAddHandler.initializeExtension(ExtensionAddHandler.java:131)
        at org.jboss.as.controller.extension.ExtensionAddHandler.initializeExtension(ExtensionAddHandler.java:104)
        at org.jboss.as.controller.extension.ParallelExtensionAddHandler$ExtensionInitializeTask.call(ParallelExtensionAddHandler.java:144)
        at org.jboss.as.controller.extension.ParallelExtensionAddHandler$ExtensionInitializeTask.call(ParallelExtensionAddHandler.java:127)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
        at java.lang.Thread.run(Thread.java:745)
        at org.jboss.threads.JBossThread.run(JBossThread.java:320)


Expected results:
If this feature is supported in EAP7 there should be probably another set of modules available in jon.

Additional info:
Comment 1 Thomas Segismont 2016-03-08 09:26:18 EST
Pull request sent
https://github.com/rhq-project/rhq/pull/212
Comment 3 Michael Burman 2016-03-11 03:27:25 EST
Merged to master:

commit e81c4e89caa766e29d2756a6358556261b9b4de4
Merge: 706a8dc 694e2d6
Author: Michael Burman <yak@iki.fi>
Date:   Fri Mar 11 10:26:41 2016 +0200

    Merge pull request #212 from tsegismont/bug/1311140
    
    Bug 1311140 - EAP7 - missing rt filter modules for eap7
Comment 4 Mike McCune 2016-03-28 19:42:22 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 11 Thomas Segismont 2016-04-12 05:17:29 EDT
Pull request sent: https://github.com/rhq-project/rhq/pull/238/files

Added a new module which produces a single zip with both modules inside.
The zip file name is 'rhq-rtfilter-wfly-10-dist.zip'.
Comment 13 Simeon Pinder 2016-06-17 21:12:00 EDT
Moving to ON_QA as available to test with JON 3.3.6 DR01 brew build:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=499890
Comment 15 errata-xmlrpc 2016-07-27 11:33:03 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.